## LassoLibIDPEntry

LassoLibIDPEntry — <lib:IDPEntry>

## Functions

LassoNode * | lasso_lib_idp_entry_new ()

## Types and Values

struct | LassoLibIDPEntry

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoLibIDPEntry

## Description

Figure 9. Schema fragment for lib:IDPEntry

    <xs:element name="IDPEntry">
      <xs:complexType>
        <xs:sequence>
          <xs:element ref="ProviderID"/>
          <xs:element name="ProviderName" type="xs:string" minOccurs="0"/>
          <xs:element name="Loc" type="xs:anyURI"/>
        </xs:sequence>
      </xs:complexType>
    </xs:element>

## Functions

### lasso_lib_idp_entry_new ()

    LassoNode *
    lasso_lib_idp_entry_new (void);

Creates a new LassoLibIDPEntry object.

#### Returns

a newly created `LassoLibIDPEntry` object

## Types and Values

### struct LassoLibIDPEntry

    struct LassoLibIDPEntry {
    	/* <xs:element ref="ProviderID"/> */
    	char *ProviderID;
    	/* <xs:element name="ProviderName" type="xs:string" minOccurs="0"/> */
    	char *ProviderName;
    	/* <xs:element name="Loc" type="xs:anyURI"/> */
    	char *Loc;
    };